package com.jianshui.system.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jianshui.system.domain.InvoiceAllApiLog;
import com.jianshui.system.mapper.InvoiceAllApiLogMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.jianshui.system.mapper.InvoiceAllYhdjMapper;
import com.jianshui.system.domain.InvoiceAllYhdj;
import com.jianshui.system.service.IInvoiceAllYhdjService;

/**
 * 金四-用户登记Service业务层处理
 *
 * @author jianshui
 * @date 2022-12-13
 */
@Service
public class InvoiceAllYhdjServiceImpl  extends ServiceImpl<InvoiceAllYhdjMapper, InvoiceAllYhdj>  implements IInvoiceAllYhdjService
{
    @Autowired
    private InvoiceAllYhdjMapper invoiceAllYhdjMapper;

    /**
     * 查询金四-用户登记
     *
     * @param id 金四-用户登记主键
     * @return 金四-用户登记
     */
    @Override
    public InvoiceAllYhdj selectInvoiceAllYhdjById(Long id)
    {
        return invoiceAllYhdjMapper.selectInvoiceAllYhdjById(id);
    }

    /**
     * 查询金四-用户登记列表
     *
     * @param invoiceAllYhdj 金四-用户登记
     * @return 金四-用户登记
     */
    @Override
    public List<InvoiceAllYhdj> selectInvoiceAllYhdjList(InvoiceAllYhdj invoiceAllYhdj)
    {
        return invoiceAllYhdjMapper.selectInvoiceAllYhdjList(invoiceAllYhdj);
    }

    /**
     * 新增金四-用户登记
     *
     * @param invoiceAllYhdj 金四-用户登记
     * @return 结果
     */
    @Override
    public int insertInvoiceAllYhdj(InvoiceAllYhdj invoiceAllYhdj)
    {
        return invoiceAllYhdjMapper.insertInvoiceAllYhdj(invoiceAllYhdj);
    }

    /**
     * 修改金四-用户登记
     *
     * @param invoiceAllYhdj 金四-用户登记
     * @return 结果
     */
    @Override
    public int updateInvoiceAllYhdj(InvoiceAllYhdj invoiceAllYhdj)
    {
        return invoiceAllYhdjMapper.updateInvoiceAllYhdj(invoiceAllYhdj);
    }

    /**
     * 批量删除金四-用户登记
     *
     * @param ids 需要删除的金四-用户登记主键
     * @return 结果
     */
    @Override
    public int deleteInvoiceAllYhdjByIds(Long[] ids)
    {
        return invoiceAllYhdjMapper.deleteInvoiceAllYhdjByIds(ids);
    }

    /**
     * 删除金四-用户登记信息
     *
     * @param id 金四-用户登记主键
     * @return 结果
     */
    @Override
    public int deleteInvoiceAllYhdjById(Long id)
    {
        return invoiceAllYhdjMapper.deleteInvoiceAllYhdjById(id);
    }
}
